golang-yaml.v2 2.2.1-1 source package in Ubuntu

Changelog

golang-yaml.v2 (2.2.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream release 2.2.1
  * Apply "cme fix dpkg" fixes:
    - Bump Standards-Version from 4.0.0 to 4.1.3
    - Change source Priority from "extra" to "optional"
    - Add "Testsuite: autopkgtest-pkg-go"
    - Remove unneeded versioned dependencies
    - Rename license key from "MIT" to "Expat"
  * Activate debian/watch: Upstream has started releasing tarballs
  * Use debhelper (>= 11)
  * Bump Standards-Version to 4.1.4: Remove gen-orig-tgz
    (akin to get-orig-source) debian/rules target, etc.
  * Install new NOTICE file as required by the Apache-2.0 License
    (Fixes Lintian missing-notice-file-for-apache-license error)

 -- Anthony Fok <email address hidden>  Wed, 11 Apr 2018 05:17:28 -0600

Upload details

Uploaded by:
Debian Go Packaging Team on 2018-04-11
Uploaded to:
Sid
Original maintainer:
Debian Go Packaging Team
Architectures:
all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Cosmic release on 2018-08-17 universe devel

Builds

Cosmic: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
golang-yaml.v2_2.2.1-1.dsc 2.2 KiB 4a216e140d84888236cde4d6cb4acdf44803dae9569102adcfcadfae0aeb34b9
golang-yaml.v2_2.2.1.orig.tar.gz 68.6 KiB 33218aa3bd60a307fe14e66b970473cb411bb6ca3d4f4a5e30c97b44f9b4e84b
golang-yaml.v2_2.2.1-1.debian.tar.xz 3.5 KiB 97c45a81f0d034ab47d74de4b65ff95720f4f590bbcb13d82fa5999e0a7869fa

No changes file available.

Binary packages built by this source

golang-gopkg-yaml.v2-dev: YAML support for the Go language

 The yaml package enables Go programs to very comfortably encode and
 decode YAML values. It was developed within Canonical as part of the
 juju project, and is based on a pure Go port of the well-known libyaml
 C library to parse and generate YAML data quickly and reliably.
 .
 The yaml package supports most of YAML 1.1 and 1.2, including support for
 anchors, tags, map merging, etc. Multi-document unmarshalling is not yet
 implemented, and base-60 floats from YAML 1.1 are purposefully not supported
 since they're a poor design and are gone in YAML 1.2.
 .
 This package is an incompatible successor to golang-goyaml
 ("gonuts.org/v1/yaml", and then renamed to "gopkg.in/yaml.v1").

golang-yaml.v2-dev: Transitional package for golang-gopkg-yaml.v2-dev

 This is a transitional package to ease upgrades to the
 golang-gopkg-yaml.v2-dev package. It can safely be removed.